Name:          jgrapht
Version:       0.8.0
Release:       %mkrel 1
Summary:       Java library for mathematical graph-theory objects and algorithms
Group:         Development/Java
License:       LGPL
Url:           http://jgrapht.sourceforge.net/
Source0:       http://sourceforge.net/projects/jgrapht/files/JGraphT/Version%200.8.0/jgrapht-0.8.0.tar.gz
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: jgraph
BuildRequires: junit
BuildRequires: jpackage-utils
#BuildRequires: netbeans-svnclientadapter
#BuildRequires: svnant
BuildRequires: tggraphlayout
BuildRequires: xmlunit
Requires:      jpackage-utils
BuildArch:     noarch

%description
JGraphT is a free Java graph library that provides mathematical graph-theory objects and algorithms.

JGraphT supports various types of graphs including:

* directed and undirected graphs.
* graphs with weighted / unweighted / labeled or any user-defined edges.
* various edge multiplicity options, including: simple-graphs, multigraphs, pseudographs.
* unmodifiable graphs - allow modules to provide "read-only" access to internal graphs.
* listenable graphs - allow external listeners to track modification events.
* subgraphs graphs that are auto-updating subgraph views on other graphs.
* all compositions of above graphs.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
JGraphT is a free Java graph library that provides mathematical graph-theory objects and algorithms.

This package contains javadoc for %{name}.

%prep
%setup -q -n jgrapht-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd lib
  ln -sf $(build-classpath junit-3.8.2) junit.jar
  ln -sf $(build-classpath xmlunit) xmlunit1.0.jar
  ln -sf $(build-classpath tggraphlayout) TGGraphLayout.jar
  ln -sf $(build-classpath jgraph) jgraph.jar
#  ln -sf $(build-classpath netbeans-svnclientadapter) svnClientAdapter.jar
#  ln -sf $(build-classpath svnant) svnant.jar
popd

%build
export CLASSPATH=$(build-classpath junit ant/ant-junit)
ant all
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir  temp
pushd temp
unzip -qq ../jgrapht-%{version}-local.zip
mkdir -p %{buildroot}%{_javadir}
install -pm 644 jgrapht-%{version}-local/jgrapht-jdk1.6.jar \
  %{buildroot}%{_javadir}/jgrapht-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jgrapht-%{version}
cp -pr jgrapht-%{version}-local/javadoc %{buildroot}%{_javadocdir}/jgrapht-%{version}
ln -sf jgrapht-%{version} %{buildroot}%{_javadocdir}/jgrapht
popd

%files
%{_javadir}/jgrapht-%{version}.jar
%{_javadir}/jgrapht.jar
%doc license-LGPL.txt README.html 
%doc temp/jgrapht-%{version}-local/etc

%files javadoc
%{_javadocdir}/jgrapht-%{version}
%{_javadocdir}/jgrapht



%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 0.8.0-1.mga2
+ Revision: 131287
- Clean spec file

  + gil <gil>
    - imported package jgrapht


* Sat Jun 11 2011 gil <gil> 0.8.0-0.%%mkrel
- initial rpm